package com.benyanyi.okhttp.type;

import com.benyanyi.okhttp.download.DownloadConfig;
import com.benyanyi.okhttp.call.RequestConfig;

import java.util.Map;

/**
 * @author YanYi
 * @date 2019-08-12 16:09
 * @email ben@yanyi.red
 * @overview
 */
public interface RequestType {

    RequestConfig getText(Map<Object, Object> map);

    RequestConfig postText(Map<Object, Object> headerMap, Map<Object, Object> bodyMap);

    RequestConfig postJson(Map<Object, Object> map);

    RequestConfig postJson(String string);

    RequestConfig xml(String xml);

    RequestConfig file(Map<Object, Object> map);

    DownloadConfig download();

    DownloadConfig download(String suffix);

}
